/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2015 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.dialog;

import static org.fortiss.tooling.base.ui.dialog.MessageUtilsExtended.showWarningInUIThread;

import org.fortiss.tooling.base.compose.ModelElementWithRefCopyMessage;
import org.fortiss.tooling.base.model.element.IModelElementSpecification;
import org.fortiss.tooling.kernel.extension.LogMessageHandler;
import org.fortiss.tooling.kernel.extension.data.ILogMessageContext;

/**
 * {@link LogMessageHandler} that displays warning dialogs of {@link ModelElementWithRefCopyMessage}
 * s which are emitted when a user copies elements that referencing
 * {@link IModelElementSpecification}s.
 * 
 * @author diewald
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 1E890F6C055CF4A8138A6939E43D3D67
 */
public class ModelElementWithRefCopyMessageHandler implements
		LogMessageHandler<ModelElementWithRefCopyMessage> {
	/** Title of the dialog. */
	private static final String TITLE = "References to external model elements.";

	/** {@inheritDoc} */
	@Override
	public void showMessage(ModelElementWithRefCopyMessage message, ILogMessageContext context) {
		if(message != null) {
			showWarningInUIThread(TITLE, message.getMessage());
		}
	}
}
