/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal.introspection;

import org.eclipse.jface.viewers.ILabelProvider;
import org.eclipse.jface.viewers.ILabelProviderListener;
import org.eclipse.swt.graphics.Image;
import org.fortiss.tooling.kernel.introspection.IIntrospectionItem;

/**
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: 05E8BBEBB43E18BD2B334937F8A198FC
 */
final class KISSViewerLabelProvider implements ILabelProvider {

	/** {@inheritDoc} */
	@Override
	public void dispose() {
		// nothing to do
	}

	/** {@inheritDoc} */
	@Override
	public boolean isLabelProperty(Object element, String property) {
		// ignore
		return false;
	}

	/** {@inheritDoc} */
	@Override
	public void addListener(ILabelProviderListener listener) {
		// ignore
	}

	/** {@inheritDoc} */
	@Override
	public void removeListener(ILabelProviderListener listener) {
		// ignore
	}

	/** {@inheritDoc} */
	@Override
	public Image getImage(Object element) {
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public String getText(Object element) {
		if(element instanceof IIntrospectionItem) {
			IIntrospectionItem item = (IIntrospectionItem)element;
			return item.getIntrospectionLabel();
		}
		return null;
	}
}
