/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2016 fortiss GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.extension.data;

import java.util.function.Predicate;

import org.fortiss.tooling.kernel.extension.ITutorialStepCompletionChecker;

/**
 * Data class for atomic steps of tutorials.
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating YELLOW Hash: 96FEE362D965A940505750F3E6EC2485
 */
public abstract class TutorialAtomicStep extends TutorialStepBase {
	/** Constructor. */
	public TutorialAtomicStep(String title, String description) {
		super(title, description);
	}

	/** Constructor. */
	public TutorialAtomicStep(String title) {
		super(title);
	}

	/**
	 * Returns the completion checker for this tutorial step. Sub-classes MUST NOT return
	 * <code>null</code>.
	 * 
	 * TODO(VA) As mentioned in {@link ITutorialStepCompletionChecker}, wouldn't here returning
	 * {@link Predicate} be enough?
	 */
	public abstract ITutorialStepCompletionChecker getCompletionChecker();
}
