/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.treemap;

import org.conqat.lib.commons.string.StringUtils;

/**
 * Base class for label providers Returns empty name and always the same area
 * 
 * @author Timo Besenreuther
 * @author $Author: deissenb $
 * @version $Rev: 34252 $
 * @levd.rating GREEN Hash: 8144D18915A34F7BF3D7612EA6A2259D
 */

public class TreeMapLabelProviderBase<T> implements ITreeMapLabelProvider<T> {

	/** Returns the label of the element */
	@Override
	public String getLabel(T element) {
		return StringUtils.EMPTY_STRING;
	}

	/** Returns the area of the element */
	public double getArea(T element) {
		return 1;
	}

	/** Never used */
	@Override
	public String getTooltipText(T element) {
		return StringUtils.EMPTY_STRING;
	}
}